summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorNils B2015-08-10 13:39:45 +0200
committerNils B2015-08-10 13:39:45 +0200
commita243d29d18a0cbd25c5a4155bf8daff2dd2a1a20 (patch)
tree135233539868e90fdfa56f2bf1568a3adf7b14f7 /PKGBUILD
downloadaur-a243d29d18a0cbd25c5a4155bf8daff2dd2a1a20.tar.gz
Initial import to AUR4
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8cba01754af
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Nils B. <aur@theinbox.de>
+
+pkgname=cutecom
+pkgver=0.22.0
+pkgrel=1
+pkgdesc="A graphical serial terminal"
+arch=('i686' 'x86_64')
+url="http://cutecom.sourceforge.net"
+license=('GPL2')
+depends=('qt4')
+makedepends=('cmake')
+source=(${url}/${pkgname}-${pkgver}.tar.gz)
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ cmake -DQT_QMAKE_EXECUTABLE=qmake4 .
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ install -D -m 644 cutecom.desktop ${pkgdir}/usr/share/applications/cutecom.desktop
+ install -D -m 755 cutecom ${pkgdir}/usr/bin/cutecom
+ install -D -m 644 cutecom.1 ${pkgdir}/usr/share/man/man1/cutecom.1
+}
+
+md5sums=('dd85ceecf5a60b4d9e4b21a338920561')
+sha256sums=('1b6620a6159cf3d50bb36cce544e91486817df7f1d553bf239d6db6108dd2ea5') \ No newline at end of file